AnsweredAssumed Answered

Cannot build directfb for imx6: no package provides libvivante-dfb-mx6

Question asked by Dominic Amann on Nov 25, 2014
Latest reply on Dec 2, 2014 by OtavioSalvador

I am attempting to build a directfb build. Out of the box, core-image-directfb fails because something includes x11 and they cannot co-exist. I exclude x11, and build again, and I get:

 

Computing transaction...error: Can't install packagegroup-core-directfb-1.0-r0@smarc_samx6i: no package provides libvivante-dfb-mx6

 

I see this error a couple times in different earlier posts. I tried setting PREFERRED_VERSION_directfb = "1.6.3" in my local.conf, but it makes no difference (perhaps I am doing it wrong?).

Outcomes